namespace InternshipSystem.Api.Queries
{
    public class SearchQuery
    {
        /// <summary>
        /// Value against which collection will be queried
        /// </summary>
        public string Query { get; set; } = "";

        /// <summary>
        /// Which part of the collections to retrieve
        /// </summary>
        public int Page { get; set; } = 0;

        /// <summary>
        /// Size of the retrieved part
        /// </summary>
        public int PerPage { get; set; } = 30;
    }
}